Name: sendmail
Version: 8.7.5
Release: 5
Summary: sendmail mail transport agent
Copyright: UCB
Group: Daemons
Source0: ftp.cs.berkeley.edu:/ucb/sendmail/sendmail.8.7.5.tar.gz
Source1: sendmail.init
Source3: aliases
Patch0: sendmail-8.7.1-config.patch
Patch2: sendmail-8.7.1-db.patch
Patch3: sendmail-8.7.1-makemapman.patch
Patch4: sendmail-8.7.1-smrsh.patch
Patch5: sendmail-8.7.1-glibc.patch
Patch6: sendmail-8.7.1-getpwuid.patch
Patch7: sendmail-8.7.1-envelope.patch

%description 
Sendmail is a Mail Transport Agent, which is the program
that moves mail from one machine to another.  Sendmail implements a
general internetwork mail routing facility, featuring aliasing and
forwarding, automatic routing to network gateways, and flexible
configuration.

If you need the ability to send and receive mail via the internet
you'll need sendmail.

%package doc
Summary: sendmail documentation
Group: Daemons

%description doc
This package includes release notes, the sendmail FAQ, and a few
papers written about sendmail.  The papers are available in PostScript
and troff.

%package cf
Summary: sendmail configuration files and m4 macros
Group: Daemons

%description cf
This package contains all the configuration files used to generate
the sendmail.cf file distributed with the base sendmail package.
You'll want this package if you need to reconfigure and rebuild
your sendmail.cf file.  For example, the default sendmail.cf is
not configured for UUCP.  If you need to send and receive mail
over UUCP, you may need this package to help you reconfigure sendmail.

%prep
%setup
%patch0 -p1

%patch2 -p1
%patch3 -p1
%patch4 -p1

%ifarch axp
%patch5 -p1
%endif

%patch6 -p1
# patch 7 not applied

%build
cd src
rm -f Makefile
ln -sf Makefiles/Makefile.Linux Makefile
make sendmail
cd ..

cd mailstats
rm -f Makefile
make CFLAGS="$RPM_OPT_FLAGS -I../src -DNEWDB" LDFLAGS=-s mailstats
cd ..

cd rmail
rm -f Makefile
make CFLAGS="$RPM_OPT_FLAGS -I../src -DNEWDB" LDFLAGS=-s rmail
cd ..

cd makemap
cc -o makemap $RPM_OPT_FLAGS -I../src -DNEWDB makemap.c -ldb
cd ..

cd praliases
rm -f Makefile
cc -I../src $RPM_OPT_FLAGS -DNEWDB -s -o praliases praliases.c -ldb
cd ..

cd smrsh
cc -static -s -o smrsh -DCMDDIR=\"/etc/smrsh\" \
	-DPATH=\"/bin:/sbin:/usr/bin:/usr/sbin\" smrsh.c
cd ..

cd cf/cf
m4 redhat.mc > redhat.cf

%install
if [ -f /etc/aliases ]; then
	cp /etc/aliases /etc/aliases.rpm
fi
if [ -f /etc/sendmail.cf ]; then
	cp /etc/sendmail.cf /etc/sendmail.cf.rpm
fi
if [ -f /etc/sendmail.cw ]; then
	cp /etc/sendmail.cw /etc/sendmail.cw.rpm
fi
echo "# sendmail.cw - include all aliases for your machine here." > /etc/sendmail.cw
(cd src; make install)
install -s -m755 mailstats/mailstats /usr/bin
install -s -m755 praliases/praliases /usr/bin

install -s -m755 rmail/rmail /usr/bin
install -m644 rmail/rmail.8 /usr/man/man8

install -s -m755 makemap/makemap /usr/bin
install -m644 makemap/makemap.8 /usr/man/man8

install -m755 smrsh/smrsh /usr/sbin
install -m644 smrsh/smrsh.8 /usr/man/man8
mkdir -p /etc/smrsh

# install docs by hand
rm -rf /usr/doc/sendmail
mkdir -p /usr/doc/sendmail
cp -ar FAQ KNOWNBUGS READ_ME RELEASE_NOTES doc /usr/doc/sendmail
cp smrsh/README /usr/doc/sendmail/README.smrsh

# install the cf files
rm -rf /usr/lib/sendmail-cf
cp -ar cf /usr/lib/sendmail-cf

install -m644 cf/cf/redhat.cf /etc/sendmail.cf
install -m644 $RPM_SOURCE_DIR/aliases /etc/aliases
newaliases

ln -sf ../sbin/sendmail /usr/lib/sendmail

install -d -m775 -g mail -o root /var/spool/mqueue

install -m755 -g root -o root $RPM_SOURCE_DIR/sendmail.init /etc/rc.d/init.d
ln -sf ../init.d/sendmail.init /etc/rc.d/rc0.d/K30sendmail
ln -sf ../init.d/sendmail.init /etc/rc.d/rc1.d/K30sendmail
ln -sf ../init.d/sendmail.init /etc/rc.d/rc2.d/S60sendmail
ln -sf ../init.d/sendmail.init /etc/rc.d/rc3.d/S80sendmail
ln -sf ../init.d/sendmail.init /etc/rc.d/rc5.d/S80sendmail
ln -sf ../init.d/sendmail.init /etc/rc.d/rc6.d/K30sendmail

%clean
if [ -f /etc/aliases.rpm ]; then
	mv /etc/aliases.rpm /etc/aliases
	newaliases
fi
if [ -f /etc/sendmail.cf.rpm ]; then
	mv /etc/sendmail.cf.rpm /etc/sendmail.cf
fi
if [ -f /etc/sendmail.cw.rpm ]; then
	mv /etc/sendmail.cw.rpm /etc/sendmail.cw
fi

strip /usr/bin/mailstats /usr/bin/praliases /usr/bin/rmail /usr/sbin/sendmail
strip /usr/bin/newaliases /usr/bin/makemap

%files
/usr/bin/mailstats
/usr/bin/praliases
/usr/bin/rmail
/usr/bin/makemap
/usr/sbin/sendmail
/usr/bin/newaliases
/usr/bin/mailq
/usr/sbin/smrsh
/usr/lib/sendmail

/usr/man/man8/rmail.8
/usr/man/man8/makemap.8
/usr/man/man8/sendmail.8
/usr/man/man5/aliases.5
/usr/man/man1/newaliases.1
/usr/man/man1/mailq.1

/var/log/sendmail.st
/usr/lib/sendmail.hf
%config /etc/sendmail.cf
%config /etc/sendmail.cw
%config /etc/aliases
%config /etc/aliases.db
%dir /var/spool/mqueue
%dir /etc/smrsh

%config /etc/rc.d/init.d/sendmail.init
%config /etc/rc.d/rc0.d/K30sendmail
%config /etc/rc.d/rc1.d/K30sendmail
%config /etc/rc.d/rc2.d/S60sendmail
%config /etc/rc.d/rc3.d/S80sendmail
%config /etc/rc.d/rc5.d/S80sendmail
%config /etc/rc.d/rc6.d/K30sendmail

%files cf
/usr/lib/sendmail-cf

%files doc
/usr/doc/sendmail
